## Mit találsz ebben a publikus repóban?

Oktatási jelleggel írtam több cikket is a [vagrantról](https://msandor.hu/category/vagrant/), az [ansible-ről](https://msandor.hu/category/ansible/), a [dockerről](https://msandor.hu/category/docker/), és a [zabbixról](https://msandor.hu/category/zabbix/).

Ezeknek az alkalmazásoknak a bemutatását több különböző Operációs rendszeren is megteszem:

| Hoszt név | IP cím | Oprendszer |
| --- | --- | --- |
| vm1 | 192.168.56.2 | CentOS 7 |
| vm2 | 192.168.56.3 | Alma Linux 8 |
| vm3 | 192.168.56.4 | Ubuntu 22.04 |
| vm4 | 192.168.57.5 | Debian 12 |
| proxy1 | 192.168.57.6 | CentOS 7 |
| zbxsrv | 192.168.56.6 | Alma Linux 9 |

Ezt találod a letölthető git repóban:
```
├── ansible.cfg
├── changelog.md
├── inventory
│   ├── group_vars
│   │   └── all.yml
│   └── inventory.yml
├── LICENSE
├── log
├── playbook
│   └── install-zabbix-agent.yml
├── README.md
├── tasks
│   ├── configure-zabbix_agent.yml
│   ├── install-docker-repo.yml
│   ├── install-docker.yml
│   ├── install-zabbix_agent.yml
│   ├── install-zabbix-repo.yml
│   ├── service-docker.yml
│   └── service-zabbix_agent.yml
├── templates
│   ├── zabbix_agentd.conf.j2
│   └── zabbix.psk.j2
└── Vagrantfile
```


## Hogyan kell letölteni?
- Van git a gépeden? Ha nincs:
  - `$ sudo yum install git -y`

    vagy
  - `$ sudo apt install git -y`

- Van már erre létrehozott mappád, pl `git`? Ha nincs:
  - `$ mkdir ~/git`
  - `$ cd ~/git`
  - `$ git clone https://git.msandor.hu/demo/ansible_vagrant.git`

    amennyiben biztosra akarsz menni, válts a 8.4-es verzióra:

  - `$ cd ~/git/ansible_vagrant`
  - `$ git checkout tags/v8.4`


## Hogyan kell létrehozni a 6 VM-et?
- Van vagrant a gépeden? Ha nincs a gyártó [weboldaláról](https://developer.hashicorp.com/vagrant/downloads) le tudod tölteni.

```
$ cd ~/git/ansible_vagrant
$ vagrant up
```


## Hogyan kell lefuttatni az ansible playbookot?
- Van ansible a gépeden? Ha nincs:
  - `$ sudo yum install ansible -y`

    vagy
  - `$ sudo apt install ansible -y`

Ha nálad ezek nem működnek, nézd meg az ansible [weboldalát](https://docs.ansible.com/ansible/latest/installation_guide/intro_installation.html).

Miután felkerült a gépedre az ansible, ebben a mappában állva add ki ezt a parancsot:

    ansible-playbook playbook/deploy-zabbix-labor.yml -l servers


## Hogyan kell elindítani a zabbix szerverhez tartozó konténereket (server, web, DB)?

```
[msandor@msandordell ~]$ cd ~/git/ansible_vagrant/
[msandor@msandordell ~]$ vagrant ssh zbxsrv
[vagrant@zbxsrv ~]$ sudo docker compose -f docker/zabbix-server/docker-compose.yml up -d
[+] Running 4/4
 ✔ Network zabbix-server_customnetwork  Created                                     0.1s
 ✔ Container zabbix-server              Started                                     0.9s
 ✔ Container zabbix-web                 Started                                     0.9s
 ✔ Container zabbix-db                  Started                                     1.0s
[vagrant@zbxsrv ~]$
```
Ha egyszer már elindítottad őket, onnantól kezdve minden szerver indítás után automatikusan el fognak indulni.


## Hogyan kell elindítani a zabbix proxy konténert?

```
[msandor@msandordell ~]$ cd ~/git/ansible_vagrant/
[msandor@msandordell ~]$ vagrant ssh proxy1
[vagrant@proxy1 ~]$ sudo docker compose -f docker/zabbix-proxy/docker-compose.yml up -d
[+] Running 0/0
[+] Running 2/2ix-proxy_default   Creating                                          0.1s
 ✔ Network zabbix-proxy_default  Created                                           0.1s
 ✔ Container zabbix-proxy        Started                                           0.1s
[vagrant@proxy1 ~]$ 

```
Ha egyszer már elindítottad, onnantól kezdve minden szerver indítás után automatikusan el fog indulni.


## Hogyan érem el a zabbix szerver weboldalát?
Indítsd el a kedvenc böngésződ, és nyisd meg ezt az URL-t: [http://192.168.56.6:888/](http://192.168.56.6:888/)
